| Extracted from Pike v7.8 release 866 at 2016-04-05.

[Top]
Protocols
Protocols.LDAP
Protocols.LDAP.client

# Method Protocols.LDAP.client()->read_attr()

Method read_attr

  `string|array(string) read_attr(string object_name, string attr, void|string filter, void|mapping(string:array(int|string)) controls)`

Description

  Reads a specified attribute of a specified object in the LDAP server. object_name is the distinguished name of the object and attr is the attribute. The rest of the arguments are the same as to search .

  The default filter that might have been set in the LDAP URL doesn't affect this call. If filter isn't set then `"(objectClass=*)"` is used.

Returns

  For single-valued attributes, the value is returned as a string. For multivalued attributes, the value is returned as an array of strings. Returns zero if there was an error.

See also

  read , get_root_dse_attr